package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author Joburgess
 * @Date 2019/9/17
 */
public class EmployeeQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "部门ID",required = true)
    private Long organId;

    @ApiModelProperty(value = "角色ID",required = false)
    private Long roleId;

    @ApiModelProperty(value = "用户名或电话",required = false)
    private Long userNameOrPhone;

    public Long getOrganId() {
        return organId;
    }

    public void setOrganId(Long organId) {
        this.organId = organId;
    }

    public Long getRoleId() {
        return roleId;
    }

    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }

    public Long getUserNameOrPhone() {
        return userNameOrPhone;
    }

    public void setUserNameOrPhone(Long userNameOrPhone) {
        this.userNameOrPhone = userNameOrPhone;
    }
}
